.mat-card:not([class*="mat-elevation-z"]) {
  box-shadow: none;
}

button:disabled {
  opacity: 0.5;
}

.mat-elevation-z8 {
  box-shadow: none;
}

:host {
  table app-edit-click {
    position: relative;
    top: -3px;
  }
}

table .mat-card {
  padding: 0;
  margin: 0;

  border-bottom: none;
  width: 182px !important;
}

.table-wrap {
  overflow-y: auto;
}

:host table {
  border-collapse: separate;
  border-spacing: 0px 10px;
}

:host::ng-deep table {
  width: 100%;
  min-width: 980px;
  z-index: 2;
  border: none;
  border-radius: 10px;
  background-color: transparent;
  position: relative;
  top: -20px;

  tr.mat-header-row {
    height: 48px;

    // below table header  style
    th {
      color: white;
      font-family: var(--main-font);
      font-size: 18px;
      line-height: 21px;
      font-weight: 400;
      padding: 0 24px;
      background-color: var(--main-items-bg-color);
      position: relative;
      top: 10px;

      span {
        position: relative;
        top: -12px;
      }
    }
  }

  th.mat-header-cell,
  td.mat-cell,
  td.mat-footer-cell {
    padding: 0px 24px 0px 24px;
  }

  tr.mat-header-row th:first-child {
    border-top-left-radius: 7px;
  }

  tr.mat-header-row th:last-child {
    border-top-right-radius: 7px;
  }

  tr.mat-row {
    .mat-column-start_date {
      span {
        top: -15px;
      }
    }

    td {
      background-color: var(--secondary-font-color);
      position: relative;

      span {
        position: relative;
      }

      .icon-btn-wrapper {
        position: relative;
        top: -4px;

        span {
          cursor: pointer;
        }
      }

      .mat-checkbox-inner-container-no-side-margin {
        top: -20px;
      }
    }

    td:first-child {
      border-bottom-left-radius: 5px;
    }

    td:last-child {
      border-bottom-right-radius: 5px;
    }
  }

  .mat-column-project_name {
    span {
      position: relative;
      top: -4px;
    }
  }

  .mat-column-start_date {
    width: 140px;

    span {
      width: 90px;
    }
  }

  .mat-column-client_name {
    span {
      left: 4px;
      top: 0px;
    }
  }

  .mat-column-end_date {
    display: none;
  }

  .mat-column-symbol span {
    position: relative;
    top: 0px;
  }

  .mat-column-position {
    padding-top: 27px !important;

    .icon-btn-wrapper {
      top: 0;
    }
  }

  // checkBox
  .mat-checkbox-indeterminate.mat-accent .mat-checkbox-background,
  .mat-checkbox-checked.mat-accent .mat-checkbox-background {
    background-color: var(--main-items-bg-color);
  }

  .mat-checkbox-background,
  .mat-checkbox-frame {
    // not selected cell style
    width: 20px;
    height: 20px;
    border: 1px solid rgba(196, 196, 196, 1);
    border-radius: 7px;
  }

  .mat-checkbox {

    // selector click shadow
    .mat-checkbox-ripple {
      left: calc(50% - 6px);
      top: calc(50% - -9px);
    }

    .mat-ripple-element {
      background-color: var(--main-items-bg-color);
    }
  }

  .mat-checkbox-frame {
    display: none;
  }

  .mat-checkbox-layout {
    top: -8px;
  }

  .mat-cell,
  .mat-footer-cell {
    // tbody font styles
    color: var(--main-font-color);
    font-family: var(--main-font);
    font-size: 18px;
    line-height: 21px;
    font-weight: 400;
  }
}

// paginator
:host::ng-deep mat-paginator {
  z-index: 5;
  position: relative;
}

.noReportMessage {
  width: auto;
  box-sizing: border-box;
  padding: 20px 30px;
  margin: 10px auto;
  font-size: 24px;
}

.projects-count {
  display: inline-block;
  font-size: 16px;
  width: 18px;
  height: 18px;
  border: 1px solid rgba(38, 101, 236, 1);
  border-radius: 7px;
  background-color: white;
  text-align: center;
  color: rgba(38, 101, 236, 1);
  box-sizing: border-box;
  margin: 0 5px 0 0;

  line-height: 17px;
}

.counter {
  color: rgba(180, 182, 185, 1);
}

.projects-btn {
  background-color: transparent;
  padding: 0;
  margin: 0 0 0 50px;
  border: none;
  font-size: 16px;
  color: rgba(180, 182, 185, 1);
  cursor: pointer;
  position: relative;
  top: 3px;
}

.projects-header {
  margin: 25px 0 17px 29px;

  span {
    font-size: 16px;
  }
}

.projects {
  overflow-y: hidden;
}

.projects-pagination {
  &.hidden {
    display: none;
  }
}